Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgrb.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgrb.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgrb.F90	(revision 2056)
@@ -670,3 +670,33 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(mbitsgg,mbitssh,mensfnb,mgrbs2,mgrbs3,mjdiag,mjdomai,mjiter,mlocgrb,msec0,msec1,msec2spm,msec2spp)
+!$OMP THREADPRIVATE(msec3,msec4,msmaxnp,mtotens,nbitsgg,nbitssh,ncalval,nconsensus,ndwd,nensfnb,ngrb080,ngrb081)
+!$OMP THREADPRIVATE(ngrb082,ngrb083,ngrb084,ngrb085,ngrb086,ngrb087,ngrb088,ngrb089,ngrb090,ngrb091,ngrb092,ngrb093)
+!$OMP THREADPRIVATE(ngrb094,ngrb095,ngrb096,ngrb097,ngrb098,ngrb099,ngrb100,ngrb101,ngrb102,ngrb103,ngrb104,ngrb105)
+!$OMP THREADPRIVATE(ngrb106,ngrb107,ngrb108,ngrb109,ngrb10fg,ngrb10u,ngrb10v,ngrb110,ngrb111,ngrb112,ngrb113,ngrb114)
+!$OMP THREADPRIVATE(ngrb115,ngrb116,ngrb117,ngrb118,ngrb119,ngrb120,ngrb149,ngrb150,ngrb153,ngrb154,ngrb207,ngrb21)
+!$OMP THREADPRIVATE(ngrb214,ngrb215,ngrb216,ngrb217,ngrb218,ngrb219,ngrb22,ngrb222,ngrb223,ngrb224,ngrb225,ngrb226)
+!$OMP THREADPRIVATE(ngrb227,ngrb23,ngrb241,ngrb242,ngrb249,ngrb250,ngrb251,ngrb252,ngrb253,ngrb254,ngrb255,ngrb2d)
+!$OMP THREADPRIVATE(ngrb2t,ngrbaerdep,ngrbaergn01,ngrbaergn02,ngrbaergn03,ngrbaergn04,ngrbaergn05,ngrbaergn06)
+!$OMP THREADPRIVATE(ngrbaergn07,ngrbaergn08,ngrbaergn09,ngrbaergn10,ngrbaergn11,ngrbaergn12,ngrbaergn13,ngrbaergn14)
+!$OMP THREADPRIVATE(ngrbaergn15,ngrbaerlg,ngrbaerls01,ngrbaerls02,ngrbaerls03,ngrbaerls04,ngrbaerls05,ngrbaerls06)
+!$OMP THREADPRIVATE(ngrbaerls07,ngrbaerls08,ngrbaerls09,ngrbaerls10,ngrbaerls11,ngrbaerls12,ngrbaerls13,ngrbaerls14)
+!$OMP THREADPRIVATE(ngrbaerls15,ngrbaerlts,ngrbaermr01,ngrbaermr02,ngrbaermr03,ngrbaermr04,ngrbaermr05,ngrbaermr06)
+!$OMP THREADPRIVATE(ngrbaermr07,ngrbaermr08,ngrbaermr09,ngrbaermr10,ngrbaermr11,ngrbaermr12,ngrbaermr13,ngrbaermr14)
+!$OMP THREADPRIVATE(ngrbaermr15,ngrbaerpr,ngrbaerscc,ngrbaersm,ngrbal,ngrbalnid,ngrbalnip,ngrbaluvd,ngrbaluvp,ngrbanor)
+!$OMP THREADPRIVATE(ngrbaodlg,ngrbaodpr,ngrbaodsm,ngrbasn,ngrbat,ngrbbld,ngrbblh,ngrbbv,ngrbcape,ngrbcc,ngrbccc)
+!$OMP THREADPRIVATE(ngrbchar,ngrbci,ngrbciwc,ngrbclwc,ngrbco2a,ngrbco2b,ngrbco2o,ngrbcp,ngrbcsf,ngrbcvh,ngrbcvl,ngrbd)
+!$OMP THREADPRIVATE(ngrbe,ngrbemis,ngrbes,ngrbewov,ngrbewss,ngrbfal,ngrbflsr,ngrbfsr,ngrbgh,ngrbghg,ngrbgrg,ngrbgwd)
+!$OMP THREADPRIVATE(ngrbhcc,ngrbie,ngrbiews,ngrbinss,ngrbishf,ngrbisor,ngrbistl1,ngrbistl2,ngrbistl3,ngrbistl4,ngrblcc)
+!$OMP THREADPRIVATE(ngrblgws,ngrblnsp,ngrblsf,ngrblsm,ngrblsp,ngrblspf,ngrblsrh,ngrbmaxxtra,ngrbmcc,ngrbmgws)
+!$OMP THREADPRIVATE(ngrbminxtra,ngrbmn2t,ngrbmont,ngrbmsl,ngrbmx2t,ngrbneov,ngrbnsov,ngrbnsss,ngrbnwov,ngrbo3,ngrbpaw)
+!$OMP THREADPRIVATE(ngrbpthpv,ngrbpv,ngrbq,ngrbr,ngrbro,ngrbrsn,ngrbs2,ngrbs3,ngrbsd,ngrbsdfor,ngrbsdor,ngrbsf,ngrbsf6)
+!$OMP THREADPRIVATE(ngrbskt,ngrbslhf,ngrbslor,ngrbsmlt,ngrbsp,ngrbspar,ngrbsparc,ngrbspd,ngrbsr,ngrbsrc,ngrbsshf,ngrbssr)
+!$OMP THREADPRIVATE(ngrbssrc,ngrbssrd,ngrbsst,ngrbstinc,ngrbstl1,ngrbstl2,ngrbstl3,ngrbstl4,ngrbstr,ngrbstrc,ngrbstrd)
+!$OMP THREADPRIVATE(ngrbsund,ngrbsuvb,ngrbsvd,ngrbswl1,ngrbswl2,ngrbswl3,ngrbswl4,ngrbt,ngrbtbt,ngrbtcc,ngrbtcghg)
+!$OMP THREADPRIVATE(ngrbtcgrg,ngrbtciw,ngrbtclw,ngrbtco3,ngrbtctrac,ngrbtcw,ngrbtcwv,ngrbth,ngrbtp,ngrbtrac,ngrbtsn)
+!$OMP THREADPRIVATE(ngrbtsp,ngrbtsr,ngrbtsrc,ngrbttr,ngrbttrc,ngrbtvh,ngrbtvl,ngrbu,ngrbv,ngrbveg,ngrbvimd,ngrbvo)
+!$OMP THREADPRIVATE(ngrbvso,ngrbw,ngrbz,njdiag,njdomai,njiter,nleg,nlocgrb,nmethod,nmfr,nncep,nreference,nsec0,nsec1)
+!$OMP THREADPRIVATE(nsec2spm,nsec2spp,nsec3,nsec4,nsmaxnp,nsteplpp,nstream,nsystem,ntotens,nukm,rsec3,ssec3)
+!$OMP THREADPRIVATE(msec2gg,ngrbgp2,ngrbgp3,ngrbsp2,ngrbsp3,nsec2gg,rsec2,ssec2)
 END MODULE YOMGRB
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgstats.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgstats.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgstats.F90	(revision 2056)
@@ -98,4 +98,10 @@
 INTEGER(KIND=JPIM) :: NPRNT_STATS=3
 
+!$OMP THREADPRIVATE(ccdesc,cctype,lbarrier_stats,ldetailed_stats,lgstats_label,lstats,lstats_alloc)
+!$OMP THREADPRIVATE(lstats_comms,lstats_mem,lstats_omp,lstatscpu,lsyncstats,ltrace_stats,myproc_stats)
+!$OMP THREADPRIVATE(ncalls,ncalls_total,nprnt_stats,nproc_stats,nstats_mem,ntmem,ntrace_stats,thistcpu)
+!$OMP THREADPRIVATE(thistime,thisvcpu,time_last_call,timelcall,timemax,timesqsum,timesum,timesumb)
+!$OMP THREADPRIVATE(ttcpulcall,ttcpusum,tvcpulcall,tvcpusum)
+!$OMP THREADPRIVATE(ncall_trace,nprcids_stats,time_start,time_trace)
 END MODULE YOMGSTATS
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomjfh.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomjfh.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomjfh.F90	(revision 2056)
@@ -13,3 +13,4 @@
 !    -----------------------------------------------------------------
 
+!$OMP THREADPRIVATE(n_vmass)
 END MODULE YOMJFH
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomleg.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomleg.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomleg.F90	(revision 2056)
@@ -38,3 +38,4 @@
 REAL(KIND=JPRB),ALLOCATABLE:: RIPI2(:)
 
+!$OMP THREADPRIVATE(r1mu2,r1mua,r1mui,r1qm2,racthe,ripi0,ripi1,ripi2,rlati,rlatig,rmu,rsqm2,rw)
 END MODULE YOMLEG
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlun.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlun.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlun.F90	(revision 2056)
@@ -138,3 +138,8 @@
 INTEGER(KIND=JPIM) :: NULTRAJBG
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nbias,ncmafl,nefls,neflss,negash,nfgigg,nfgish,ninigg,ninish,ninmsh,npdirl,npoddh,npossh)
+!$OMP THREADPRIVATE(npppsh,nscasig,nscaspe,nscatab,nscrtch,ntcsr,ntide,ntrjsh,nulase,nulass,nulcl1,nulcl2,nulco)
+!$OMP THREADPRIVATE(nulcont,nuldila,nulfp01,nulfp02,nulfp03,nulfp04,nulfp05,nulfp06,nulfp07,nulfp08,nulfp09)
+!$OMP THREADPRIVATE(nulfp10,nulfp11,nulfp12,nulfp13,nulfp14,nulfp15,nulfpos,nulhwf,nulrad,nulrcf,nulref,nulrotc)
+!$OMP THREADPRIVATE(nulrtl,nulstat,nultmp,nultrajbg,nultrajhr,nulusr1,nulusr2,nulusr3,nulusr4,nulusr5,nuo3ch1,nuo3ch2)
 END MODULE YOMLUN
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlun_ifsaux.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlun_ifsaux.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlun_ifsaux.F90	(revision 2056)
@@ -18,3 +18,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nulerr,nulout)
 END MODULE YOMLUN_IFSAUX
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlw15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlw15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomlw15.F90	(revision 2056)
@@ -77,3 +77,6 @@
 !  RVGO315  :  REAL     RESIDUAL PRESSURE FOR O3  VOIGT LINE HALF-WIDTH
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(at15,bt15,ga15,gb15,mxixt15,ng115,ng1p115,nint15,nipd15,nipd215)
+!$OMP THREADPRIVATE(ntr15,ntra15,nua15,o1h15,o2h15,oct15,rntnu15,rpialf015,rt115,rvgco215)
+!$OMP THREADPRIVATE(rvgh2o15,rvgo315,tintp15,tref15,tstand15,tstp15,wg115,xp15)
 END MODULE YOMLW15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yommddh.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yommddh.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yommddh.F90	(revision 2056)
@@ -230,3 +230,12 @@
 ! ---- DDH
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(bdeddh,fnoddh,hdsfgl,ndhaend,ndhaenp,ndhahkd,ndhahkp,ndhamcd)
+!$OMP THREADPRIVATE(ndhamcp,ndhavd,ndhavp,ndhbend,ndhbenp,ndhbhkd,ndhbhkp,ndhbmcd)
+!$OMP THREADPRIVATE(ndhbmcp,ndhbpu,ndhbpx,ndhbvd,ndhbvp,ndhcs,ndhcssu,ndhcv,ndhcvsu)
+!$OMP THREADPRIVATE(ndhcvsul,ndhcvsun,ndhddx,ndhfend,ndhfenp,ndhffs,ndhfhkd,ndhfhkp)
+!$OMP THREADPRIVATE(ndhfiis,ndhfmcd,ndhfmcp,ndhfsd,ndhfsp,ndhfsss,ndhftis,ndhftls)
+!$OMP THREADPRIVATE(ndhftss,ndhftts,ndhfvd,ndhfvp,ndhfwls,ndhidh,ndhkd,ndhnom,ndhnpu)
+!$OMP THREADPRIVATE(ndhten,ndhthk,ndhtmc,ndhven,ndhvfs,ndhvhk,ndhviis,ndhvmc,ndhvs)
+!$OMP THREADPRIVATE(ndhvsss,ndhvtis,ndhvtls,ndhvtss,ndhvtts,ndhvv,ndhvwls,ndhzpr)
+!$OMP THREADPRIVATE(hdsf,hdsfdu,hdsfla,nddhi,nddhla,nddhpu,nlrddh,nlxddh,nurddh,nuxddh)
 END MODULE YOMMDDH
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yommp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yommp.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yommp.F90	(revision 2056)
@@ -466,3 +466,16 @@
 ! ----------------------------------------------------------------------
 
+!$OMP THREADPRIVATE(leq_regions,limp,limp_noolap,lockio,lsplit,lsplitout,mbx_size,mp_type,my_region_ew,my_region_ns)
+!$OMP THREADPRIVATE(myfrstactlat,mylstactlat,myproc,myseta,mysetb,mysetm,mysetn,mysetv,mysetw,nafpb1,napsets,narib1)
+!$OMP THREADPRIVATE(narob1,naslb1,nblkout,nbsetsp,ncombflen,ncpec2v,nfldin,nfldout,nfpmpbufsz,nfpprocs,nfprpt,nfpspt)
+!$OMP THREADPRIVATE(nfrstloff,ngathout,nintype,nouttype,npsp,nptrfloff,nrimpbufsz,nriprocs,nrirpt,nrispt,nrompbufsz)
+!$OMP THREADPRIVATE(nroprocs,nrorpt,nrospt,nslmpbufsz,nslpad,nslprocs,nslrpt,nslspt,nspec2v,nspec2vf,nstrin,nstrout)
+!$OMP THREADPRIVATE(ntpec2v,numxp,nwrtout)
+!$OMP THREADPRIVATE(lsplitlat,mylats,mylevs,nallms,nbsetlev,nfpcomm,nfpcore,nfpext,nfpoff,nfponl,nfprecvpos,nfprecvptr)
+!$OMP THREADPRIVATE(nfpsendpos,nfpsendptr,nfpsta,nfrstlat,nglobalindex,nglobalproc,ngpset2pe,nlocalindex,nlstlat,noboff)
+!$OMP THREADPRIVATE(nobonl,nobsta,nonl,nprcids,nprocm,npsurf,nptrcv,nptrfrstlat,nptrlat,nptrll,nptrls,nptrlstlat,nptrmf)
+!$OMP THREADPRIVATE(nptrms,nptrsv,nptrsvf,nptrtv,nrecvptr,nricomm,nricore,nriext,nrioff,nrionl,nrirecvpos,nrirecvptr)
+!$OMP THREADPRIVATE(nrisendpos,nrisendptr,nrista,nrocomm,nrocore,nroext,nrooff,nroonl,nrorecvpos,nrorecvptr,nrosendpos)
+!$OMP THREADPRIVATE(nrosendptr,nrosta,nsendptr,nslcomm,nslcore,nslext,nsloff,nslonl,nslrecvpos,nslsendpos,nslsta)
+!$OMP THREADPRIVATE(nspstaf,nsta,numll,numpp,numprocfp,numvmo,numvmojb,numxpp,nvmodist)
 END MODULE YOMMP
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomoml.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomoml.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomoml.F90	(revision 2056)
@@ -46,4 +46,5 @@
 
 LOGICAL :: OML_DEBUG = .FALSE.
+!$OMP THREADPRIVATE(OML_DEBUG)
 
 PUBLIC OML_WAIT_EVENT, OML_SET_EVENT, OML_INCR_EVENT, &
@@ -62,7 +63,9 @@
 !-- Note: Still JPIM !!
 INTEGER(KIND=JPIM) :: M_EVENT = 0
+!$OMP THREADPRIVATE(M_EVENT)
 
 !-- Note: OML_LOCK_KIND, not JPIM !!
 INTEGER(KIND=OML_LOCK_KIND) :: M_LOCK(2) = (/-1, -1/)
+!$OMP THREADPRIVATE(M_LOCK)
 
 CONTAINS
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy.F90	(revision 2056)
@@ -412,3 +412,13 @@
 INTEGER(KIND=JPIM), PARAMETER  ::  JPHYARO =   3  ! for AROME physics
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(cgmixlen,l1drhcri,l2phys,l3mt,ladjcld,laerodes,laerolan,laerosea,laerosoo,laerosul)
+!$OMP THREADPRIVATE(laerovol,lajucv,lautoneb,lbccond,lblvar,lcape,lcddpro,lclsatur,lcollec,lcondwt,lcvcas)
+!$OMP THREADPRIVATE(lcvdd,lcvlis,lcvpgy,lcvpp,lcvppkf,lcvpro,lcvra,lcvrav3,ldifcons,lect,lectfl,levapp,lfgel)
+!$OMP THREADPRIVATE(lfgels,lfpcor,lglt,lgwd,lgwdc,lgwrhcri,lhmto,lhucn,lhuneg,lmphys,lnd2diff,lnebco,lnebgr)
+!$OMP THREADPRIVATE(lnebgy,lnebn,lnebnxr,lnebr,lnebt,lneige,lnewd,lnewstat,lnoias,lnsmlis,lo3abc,lozone,lpble)
+!$OMP THREADPRIVATE(lphcdpi,lphspsh,lpil,lprgml,lprocld,lptke,lqxrtgh,lrautoev,lray,lrayfm,lrayfm15,lraylu)
+!$OMP THREADPRIVATE(lraypl,lreasur,lrelaxt,lrelaxw,lrews,lrmix,lrnumx,lrprox,lrrgust,lrrmes,lrstab,lrtdl)
+!$OMP THREADPRIVATE(lrtpp,lscmf,lsfhyd,lslc,lsmnimbt,lsmrot,lsmtps,lsnv,lsolv,lsrcon,lsrcont,lssd,lstra)
+!$OMP THREADPRIVATE(lstrapro,lstras,lthermo,lvdif,lvfull,lvgsn,lvoigt,lz0hsrel,nbiter,ndpsfi,noir,nphy)
+!$OMP THREADPRIVATE(nphyrep,nprac,nprag,nprri,nsmdneb,nsmtbot)
 END MODULE YOMPHY
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy0.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy0.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy0.F90	(revision 2056)
@@ -706,3 +706,21 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(a0ml_at,a0ml_au,a0ml_bt,a0ml_bu,acbrphim,acg,adise,adisi,aecls3,aecls4,aercs1,aercs3,aercs5)
+!$OMP THREADPRIVATE(agre1,agre2,agref,agreke,agrericr,ahclpv,aj1meps,aj1peps,ajbumin,akn,ald,alfx,almav,almave)
+!$OMP THREADPRIVATE(alphae,alphat,arsb2,arsc1,arsc2,arsch,arscq,arsct,bedifv,ecmnp,ecmnpi,ectmin,edb,edc,edd,edk)
+!$OMP THREADPRIVATE(eps,etacut,evap,fentrt,fevapc,fnebc,font,fqlic,galp,gamap1,gamtke,gccsv,gcismin,gcomod,gcvachi)
+!$OMP THREADPRIVATE(gcvadmw,gcvads,gcvalfa,gcvalmx,gcvbee,gcvbeta,gcveex,gcvmlt,gcvnu,gcvpsi,gcvpsie,gcvsqdcx)
+!$OMP THREADPRIVATE(gcvsqdn,gcvsqdr,gddbeta,gddeva,gddevf,gddsde,gddwpf,gfric,gpblhk0,gpblhra,grcvpp,grhcmod,grrinte)
+!$OMP THREADPRIVATE(grrmina,gwbfaut,gwdamp,gwdbc,gwdcco,gwdcd,gwdlt,gwdprof,gwdse,gwdvali,hcmin,hobst,hucoe,hucoe2)
+!$OMP THREADPRIVATE(hutil,hutil1,hutil2,najiter,npclo1,npclo2,nrhcri,nsmtpa,nsmtpb,nuptke,qsmin,qsnebc,qsnebs,qssc)
+!$OMP THREADPRIVATE(qssusc,qssuss,qssusv,qsusxc,qsusxs,qxral,qxrdel,qxrhx,qxrr,qxrtgh,raccef,raggef,rauitn,rauitx)
+!$OMP THREADPRIVATE(rauiuste,rautefr,rautefs,rautsbet,rcin,rcoflm,rcoll,rcvevap,rdphic,rdtfac,retamin,revgsl,rfacnsm)
+!$OMP THREADPRIVATE(rfalll,rhcrit1,rhcrit2,rhevap,ricret,ricrlm,rkdn,rnegat,rnintr,rnints,rnlcurv,rphi0,rphir,rqcrns)
+!$OMP THREADPRIVATE(rqicrmax,rqicrmin,rqicrsn,rqicrt1,rqicrt2,rqicvmax,rqicvmin,rqlcr,rqlcv,rrgamma,rrimef,rrscale)
+!$OMP THREADPRIVATE(rsmdnebx,rsmdtx,rtcape,rwbf1,rwbf2,sco,sensl,snnbco,spnbco,sttbmin,sxnbco,tca,tct,tctc,tcw,tddbu)
+!$OMP THREADPRIVATE(tddfr,tddgp,tentr,tentrd,tentrvl,tentrx,tfvr,tfvs,trentrv,tudbu,tudfr,tudgp,turb,tvf,tvfc,tym)
+!$OMP THREADPRIVATE(ucwstar,udect,ueteps,uhdifv,untier,upreclp,upretmax,upretmin,usdmlt,ushearm,usuprc,usuric,usurice)
+!$OMP THREADPRIVATE(usuricl,usurid,usuride,utilgust,vchrnk,vkarmn,vvn,vvx,vz0cm,vziustar0,xblm,xklm,xmaxlm,xminlm)
+!$OMP THREADPRIVATE(xnbmax,xwsalm,xwsblm)
+!$OMP THREADPRIVATE(rhcri)
 END MODULE YOMPHY0
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy1.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy1.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy1.F90	(revision 2056)
@@ -304,3 +304,11 @@
 INTEGER(KIND=JPIM) :: NCHSP
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(alb1,alb2,albgla,albmax,albmed,albmer,albmin,alcrin,alrcn1,alrcn2,ea,ec2ref,emcrin,emmgla)
+!$OMP THREADPRIVATE(emmmer,ewfc,ewwilt,g1b,g1c1sat,g1cgsat,g1p,g1wsat,g2b,g2c1sat,g2cgsat,g2p,g2wsat,g3cgsat)
+!$OMP THREADPRIVATE(ga,gc1,gc1s1,gc1s2,gc1s3,gc1s4,gc1y1,gc2,gc2ref,gc3,gc31,gc32,gcgel,gcgels,gconv,gcz0h,gf1)
+!$OMP THREADPRIVATE(gf3,gf4,glaimx,glaimxs,gneimx,gneimxs,gsnc1,gsnc2,gtsvap,gvegmx,gvegmxs,gwfc,gwlex,gwlmx)
+!$OMP THREADPRIVATE(gwpimx,gwwilt,hsol,hsolit0,hsoliwr,lc1vap,limc,limw,nchsp,ntvgla,ntvmer,omtpro,omwpro,rc1max)
+!$OMP THREADPRIVATE(rcgmax,rctgla,rctveg,rd1,rd2gla,rd2mer,rgl,rhomax,rhomin,rlai,rlaimx,rsmax,rtiner,rz0gla)
+!$OMP THREADPRIVATE(rz0mer,rzhgla,rzhmer,rzhz0g,rzhz0m,sodelx,tmergl,toexp,tolin,tref4,wcrin,wcrinc,wcring)
+!$OMP THREADPRIVATE(wnew,wpmx,wsmx,xcrinr,xcrinv)
 END MODULE YOMPHY1
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy2.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy2.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy2.F90	(revision 2056)
@@ -65,3 +65,5 @@
 LOGICAL :: LMULAF
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(facraf,gz0raf,hclp,htcls,htshm,htsml,hvcls,lmulaf,lraftur,ntshm,ntsml,ripblc,tsphy)
+!$OMP THREADPRIVATE(xdamp,xmucvpp,xmulaf)
 END MODULE YOMPHY2
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy3.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy3.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomphy3.F90	(revision 2056)
@@ -192,3 +192,8 @@
 REAL(KIND=JPRB) :: REXP_NEB
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(bsfsa,bsfsi,bsfsn,bsfta,bsfti,bsftn,earrt,eoasa,eoasi,eoasn,eoata,eoati,eoatn,eodsa,eodsi)
+!$OMP THREADPRIVATE(eodsn,eodta,eodti,eodtn,eoray,fcm_del_a,fcm_del_d,fcm_mu_a,fcm_mu_d,fcm_n_i,fcm_n_l,fcm_p_ai)
+!$OMP THREADPRIVATE(fcm_p_al,fcm_p_di,fcm_p_dl,fcm_p_gi,fcm_p_gl,fcm_q_ai,fcm_q_al,fcm_q_di,fcm_q_dl,fcm_q_gi)
+!$OMP THREADPRIVATE(fcm_q_gl,gca,gcb,gcc,gcd4,gce4,girec1,girec2,girec3,girec4,qco2,qlimi,qlip0,rexp_neb,rii0)
+!$OMP THREADPRIVATE(usaa,usai,usan,usba,usbi,usbn,vdp,vnp)
 END MODULE YOMPHY3
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yompldsw.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yompldsw.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yompldsw.F90	(revision 2056)
@@ -10,3 +10,4 @@
 LOGICAL :: LOPT_RS6K
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lopt_rs6k,lopt_scalar)
 END MODULE YOMPLDSW
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomprad.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomprad.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomprad.F90	(revision 2056)
@@ -145,3 +145,8 @@
 INTEGER(KIND=JPIM),ALLOCATABLE:: NRCRCVWO(:,:,:)
 INTEGER(KIND=JPIM),ALLOCATABLE:: NRCRCVEO(:,:,:)
+!$OMP THREADPRIVATE(lodbgradi,lodbgradl,lradondem,lradondem_active,nfixradfld,nrimaxla,nrimaxlb)
+!$OMP THREADPRIVATE(nrimaxln,nrimaxlt,nrimaxt,nrlbchunks,nrlbdata,nrlbpoints,nrlprcs,nrlrchunks)
+!$OMP THREADPRIVATE(nrlrdata,nrlrpoints,radgrid)
+!$OMP THREADPRIVATE(mask_ri1,mask_ri2,mask_ro1,mask_ro2,nrcneede,nrcneedw,nrcrcve,nrcrcveo,nrcrcvt)
+!$OMP THREADPRIVATE(nrcrcvw,nrcrcvwo,nrcsnde,nrcsndt,nrcsndw,nrfrstoff,nrimax,nrirint,nrlastoff)
 END MODULE YOMPRAD
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrad15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrad15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrad15.F90	(revision 2056)
@@ -66,3 +66,5 @@
 ! LNEWAER15 :LOGICAL : .TRUE. IF TEGEN AEROSOLS ARE USED
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lerad6h15,leradhs15,lnewaer15,lradaer15,lradlb15,naer15,nflux15,nmode15,novlp15)
+!$OMP THREADPRIVATE(nrad15,nradc2f15,nradf2c15,nradfr15,nradnfr15,nradpfr15,nradpla15,nradsfr15,nrint15,nrproma15)
 END MODULE YOMRAD15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomradf.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomradf.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomradf.F90	(revision 2056)
@@ -42,3 +42,6 @@
 REAL(KIND=JPRB),ALLOCATABLE :: RMOON(:,:)
 
+
+!$OMP THREADPRIVATE(edro,emtc,emtd,emtu,rmoon,srlwd,srlwdcs,srswd,srswdcs,srswduv)
+!$OMP THREADPRIVATE(srswdv,srswpar,srswparc,srswtinc,srswuvb,trsc,trsw)
 END MODULE YOMRADF
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrcoef.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrcoef.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrcoef.F90	(revision 2056)
@@ -80,3 +80,6 @@
 
 !   ----------------------------------------------------------------
+!$OMP THREADPRIVATE(lglobrad,lrcoef,ltladdia,nexpbsr,nexpbthr,ng3sr,ngmtr,nlatrd,nlatwr,nlengsrb)
+!$OMP THREADPRIVATE(nlengtrb,npckfsr,npckfthr)
+!$OMP THREADPRIVATE(solrad,therrad,trmatsum,trweight)
 END MODULE YOMRCOEF
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrdi15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrdi15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrdi15.F90	(revision 2056)
@@ -59,3 +59,5 @@
 !            TO BE MORE THAN THE RESPECTIVE VALUE AT SATURATION.
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ralbice15,ralbsea15,ralbsnm15,ralbsno15,rcardi15,rcfc1115,rcfc1215,rch415)
+!$OMP THREADPRIVATE(remiss15,repalb15,repclc15,reph2o15,rmu0015,rn2o15,rrae15,rsdtsn15,rsnowal15,rvlbdc15)
 END MODULE YOMRDI15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrdu15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrdu15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrdu15.F90	(revision 2056)
@@ -52,3 +52,5 @@
 ! REPSCW15  : REAL      SEC. EPSILON FOR CLOUD LIQUID WATER PATH
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(diff15,nimp15,nout15,ntraer15,nuaer15,r10e15,rcday15,reelog15)
+!$OMP THREADPRIVATE(repsc15,repsco15,repscq15,repsct15,repscw15,repsec15)
 END MODULE YOMRDU15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrip.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrip.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomrip.F90	(revision 2056)
@@ -99,3 +99,6 @@
 REAL(KIND=JPRB) :: RSIVSRLU
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nindat,nsssss,nstadd,nstass,rcodec,rcodeclu,rcovsr,rcovsrlu,rdeaso,rdecli,rdeclu)
+!$OMP THREADPRIVATE(rdts22,rdts62,rdtsa,rdtsa2,reqtim,rhgmt,rip0,rip0lu,rsidec,rsideclu,rsivsr)
+!$OMP THREADPRIVATE(rsivsrlu,rsovr,rstati,rtdt,rtimst,rtimtr,rtmolt,rwsovr)
 END MODULE YOMRIP
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsc2.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsc2.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsc2.F90	(revision 2056)
@@ -49,3 +49,6 @@
 
 !-----------------------------------------------------------------------
+!$OMP THREADPRIVATE(nfldobb1,nfldslb1,nfldslb15,nfldslb2,nobwide,nriwidee,nriwiden,nriwides)
+!$OMP THREADPRIVATE(nriwidew,nrowidee,nrowiden,nrowides,nrowidew,nslwide)
+!$OMP THREADPRIVATE(nciend,ncist,ndiend,ndist)
 END MODULE YOMSC2
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomscm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomscm.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomscm.F90	(revision 2056)
@@ -51,3 +51,4 @@
 INTEGER(KIND=JPIM) :: NSCM_ADD_SAMPL
 
+!$OMP THREADPRIVATE(gscm_lat1,gscm_lat2,gscm_lon1,gscm_lon2,gscm_radius,lgscm,nfrscm,nscm_add_sampl,nscm_space_s,nscmts)
 END MODULE YOMSCM
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsimphl.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsimphl.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsimphl.F90	(revision 2056)
@@ -51,3 +51,5 @@
 
 !   ----------------------------------------------------------------
+!$OMP THREADPRIVATE(lclouds,lcvrasp,lgwdsp,lraysp,lrrmessp,lsimph,lsmootha,lsmoothb,lsmoothd,lstrasp)
+!$OMP THREADPRIVATE(ltrajps,ltrajpst,lvdifsp)
 END MODULE YOMSIMPHL
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomslphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomslphy.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomslphy.F90	(revision 2056)
@@ -26,3 +26,6 @@
 INTEGER(KIND=JPIM) :: MSAVTEND_S
 
+!$OMP THREADPRIVATE(lslphy,msat_savtend,msat_savtend_s,msavtend_s,mt_savtend,mt_savtend_s)
+!$OMP THREADPRIVATE(mu_savtend,mu_savtend_s,mv_savtend,mv_savtend_s,nvtend)
+!$OMP THREADPRIVATE(savtend)
 END MODULE YOMSLPHY
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsta.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsta.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsta.F90	(revision 2056)
@@ -119,3 +119,10 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(hextrap,nlextrap,rdtdz1,rdtdz2,rdtdz3,rdtdz4,rdtdz5,rdtdz6,rdtdz7,rdtdz8,rdtdz9)
+!$OMP THREADPRIVATE(rpabov,rpmepo,rpmes2,rpmeso,rpstpo,rpstr2,rpstra,rptrop,rtabov,rtmepo,rtmes2,rtmeso)
+!$OMP THREADPRIVATE(rtstpo,rtstr2,rtstra,rtsur,rttrop,rzabov,rzmepo,rzmes2,rzmeso,rzstpo,rzstr2,rzstra)
+!$OMP THREADPRIVATE(rztrop,vdtdz1,vdtdz2,vdtdz3,vdtdz4,vdtdz5,vdtdz6,vdtdz7,vdtdz8,vdtdz9,vpabov,vpmepo)
+!$OMP THREADPRIVATE(vpmes2,vpmeso,vpstpo,vpstr2,vpstra,vptrop,vtabov,vtmepo,vtmes2,vtmeso,vtstpo,vtstr2)
+!$OMP THREADPRIVATE(vtstra,vtsur,vttrop,vzabov,vzmepo,vzmes2,vzmeso,vzstpo,vzstr2,vzstra,vztrop)
+!$OMP THREADPRIVATE(stden,stphi,stpre,stpreh,sttem,stz)
 END MODULE YOMSTA
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsw15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsw15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomsw15.F90	(revision 2056)
@@ -51,3 +51,5 @@
 !  RTUMG15 :  REFERENCE TEMPERATURE UNIFORMLY MIXED GASES
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(apad15,bpad15,d15,rpdh115,rpdu115,rpnh15,rpnu15,rray15,rsun15,rswce15,rswcp15)
+!$OMP THREADPRIVATE(rtdh2o15,rtdumg15,rth2o15,rtumg15)
 END MODULE YOMSW15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtag.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtag.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtag.F90	(revision 2056)
@@ -107,3 +107,8 @@
 INTEGER(KIND=JPIM) :: MTAGDISTFO
 
+!$OMP THREADPRIVATE(mt_distributed_vector,mtagbdy,mtagbrpr,mtagcain,mtagcost,mtagddh1,mtagddh2,mtagddh3,mtagddh4)
+!$OMP THREADPRIVATE(mtagddhres,mtagdistfo,mtagdistgp,mtagdistsp,mtageigmd,mtagfce,mtagfreq,mtaggetv,mtagglobsi)
+!$OMP THREADPRIVATE(mtagglobsr,mtaggom,mtaggpnorm,mtaggsum,mtagke,mtaglcz,mtaglm,mtagmn,mtagms,mtagmv,mtagnm)
+!$OMP THREADPRIVATE(mtagobseq,mtagobseqad,mtagozon,mtagpart,mtagrad,mtagrcbdy,mtagrclb,mtagrclbi,mtagreadvec)
+!$OMP THREADPRIVATE(mtagsig,mtagslag,mtagsm,mtagspno,mtagtide,mtagvh)
 END MODULE YOMTAG
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtddh.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtddh.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtddh.F90	(revision 2056)
@@ -310,4 +310,4 @@
 !       IF LHDMCI
 !       IF LHDENT
-
+!$OMP THREADPRIVATE(hdcs0,hdcs1,hdcvb0,hdcvb1,pddhfsvi)
 END MODULE YOMTDDH
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtoph.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtoph.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomtoph.F90	(revision 2056)
@@ -87,3 +87,8 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(etajuc,etcoef,etcoefe,etcoet,etcvim,etdifu,etdrag,etdrme,etnebu,etozon,etplui)
+!$OMP THREADPRIVATE(etqsat,etradi,ntajuc,ntcoef,ntcoefe,ntcoet,ntcvim,ntdifu,ntdrag,ntdrme,ntnebu)
+!$OMP THREADPRIVATE(ntozon,ntplui,ntqsat,ntradi,rclx,rfmesoq,tpsclim,xdrmqk,xdrmqp,xdrmtk,xdrmtp)
+!$OMP THREADPRIVATE(xdrmtx,xdrmuk,xdrmup,xdrmux)
+!$OMP THREADPRIVATE(rmesoq,rmesot,rmesou)
 END MODULE YOMTOPH
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomvdoz.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomvdoz.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomvdoz.F90	(revision 2056)
@@ -74,3 +74,5 @@
 LOGICAL :: LRDEPOZ
 !   ---------------------------------------------------------------------
+!$OMP THREADPRIVATE(lrdepoz,lrdifoz,vdajh,vdajs,vdanh,vdans,vdejh,vdejs,vdenh,vdens,vdhjh,vdhjs)
+!$OMP THREADPRIVATE(vdhnh,vdhns,vdnjh,vdnjs,vdnnh,vdnns,vdpjh,vdpjs,vdpnh,vdpns,vozhs,voznj)
 END MODULE YOMVDOZ
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yophlc.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yophlc.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yophlc.F90	(revision 2056)
@@ -53,3 +53,4 @@
 !                        X(T+1)=X(T-1)+2*DX
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ah0,alandz0,alpha,aseaz0,lczdeb,lkexp,lsdrds,lsdrlc,lsphlc,lvdfds,lvdflc,lzmcon,ustarl,ustars)
 END MODULE YOPHLC
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yophnc.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yophnc.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yophnc.F90	(revision 2056)
@@ -50,3 +50,5 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lecond2,lecubm2,lecumf2,ledcld2,legwdg2,lekpert,lencld2,leqngt2,leradfl2,leradi2)
+!$OMP THREADPRIVATE(leradn2,lerads2,leradsw2,lesurf2,letrajp,letrajpt,levapls2,levdif2,ltraclnph)
 END MODULE YOPHNC
Index: /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90	(revision 2056)
@@ -370,5 +370,6 @@
 
 ! zlev(1:knon) = (100.*plev(1:knon))/((ps(1:knon)/287.05*temp_air(1:knon))*9.80665)
-    zlev(1:knon) = (100.*plev(1:knon))/((ps(1:knon)/RD*temp_air(1:knon))*RG)
+!    zlev(1:knon) = (100.*plev(1:knon))/((ps(1:knon)/RD*temp_air(1:knon))*RG)
+     zlev(1:knon) = plev(1:knon)*RD*temp_air(1:knon)/((ps(1:knon)*100.0)*RG)
 
 
